package com.caimei365.tools.controller;

import com.caimei365.tools.model.ResponseJson;
import com.caimei365.tools.service.CmBehaviorRecordService;
import com.caimei365.tools.service.CmOrganValueSystemService;
import com.caimei365.tools.service.CmRepurchaseFrequencyService;
import com.caimei365.tools.service.CmVipCouponService;
import com.caimei365.tools.service.impl.SysUserServiceImpl;
import lombok.RequiredArgsConstructor;
import lombok.extern.java.Log;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/18
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/tools")
@Slf4j
public class BaseApi {

    @Resource
    private CmOrganValueSystemService cmOrganValueSystemService;
    @Resource
    private CmRepurchaseFrequencyService cmRepurchaseFrequencyService;
    @Resource
    private CmBehaviorRecordService cmBehaviorRecordService;
    @Resource
    private CmVipCouponService cmVipCouponService;
    @Resource
    private SysUserServiceImpl sysUserService;

    @Value(value = "${swagger.enabled}")
    private Boolean swaggerEnabled;


    @GetMapping("")
    public String welcome() {
        if (swaggerEnabled) {
            return "欢迎使用！<br><a href='http://47.119.112.46:18013/doc.html'>doc接口文档入口(beta)</a><br><a href='http://47.119.112.46:18013/swagger-ui/index.html'>swagger接口文档入口(beta)</a>";
        }
        return "欢迎使用！";
    }

    @GetMapping("/new/token")
    public String getNewToken(String id) {
        return sysUserService.getNewToken(id);
    }

    /**
     * 临时接口
     */
    /*@GetMapping("/record/update")
    public void svipCoupon() throws IOException {

        cmBehaviorRecordService.insertTodayData();
    }*/

    /**
     * 数据ip地址
     * @param startId
     * @param endId
     */
    /*@GetMapping("/base/oldData")
    public void oldData(Integer startId, Integer endId) {
        cmBehaviorRecordService.setIpAddress(startId,endId);
    }*/

}

